Bug 237324 - sysutils/afio: Update to 2.5.2
Summary: sysutils/afio: Update to 2.5.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-04-17 07:04 UTC by takefu
Modified: 2019-04-27 15:41 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (portmaster)


Attachments
afio-2.5.2.patch (9.28 KB, patch)
2019-04-17 07:04 UTC, takefu
no flags Details | Diff
afio-2.5.2.patch (9.14 KB, patch)
2019-04-17 07:09 UTC, takefu
no flags Details | Diff
afio-2.5.2.patch (9.61 KB, patch)
2019-04-17 07:38 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2019-04-17 07:04:51 UTC
Created attachment 203730 [details]
afio-2.5.2.patch

fix
  portlint(1) compliant.
Comment 1 takefu 2019-04-17 07:09:15 UTC
Created attachment 203731 [details]
afio-2.5.2.patch
Comment 2 takefu 2019-04-17 07:38:19 UTC
Created attachment 203733 [details]
afio-2.5.2.patch
Comment 3 Fernando Apesteguía freebsd_committer 2019-04-22 16:38:37 UTC
Hi Takefu,

Thanks for the patch. Awaiting maintainer approval. However, can you explain the change of the WWW line and the change of MASTER_SITE?

Is the project officially moving to that new domain or something?
Comment 4 takefu 2019-04-23 01:06:55 UTC
(In reply to Fernando Apesteguía from comment #3)

Webpage seems to have changed in 2.5.1.

Https://github.com/kholtman/afio/commit/97897deef4e525b1f71bbc08f5f534d25ec04325

Read the `readme' file for more information.
Comment 5 commit-hook freebsd_committer 2019-04-27 15:41:06 UTC
A commit references this bug:

Author: fernape
Date: Sat Apr 27 15:40:47 UTC 2019
New revision: 500213
URL: https://svnweb.freebsd.org/changeset/ports/500213

Log:
  sysutils/afio: update to 2.5.2

  ChangeLog (https://github.com/kholtman/afio/blob/master/ANNOUNCE-2.5.2):

  * security improvements for the handling of archives from unstrusted
    sources

  * when making multivolume archives, added %V feature to include the
    volume number in subsequent volume file names

  * various bug and portability fixes

  PR:	237324
  Submitted by:	takefu@airport.fm
  Approved by:	portmaster@bsdforge.com (maintainer, timeout 10 days)

Changes:
  head/sysutils/afio/Makefile
  head/sysutils/afio/distinfo
  head/sysutils/afio/files/patch-Makefile
  head/sysutils/afio/files/patch-afio.c
  head/sysutils/afio/files/patch-afio.h
  head/sysutils/afio/files/patch-compfile.c
  head/sysutils/afio/files/pkg-message.in
  head/sysutils/afio/pkg-descr
Comment 6 Fernando Apesteguía freebsd_committer 2019-04-27 15:41:41 UTC
Committed,

Thanks!